Priority: Low

Assignee: Marco Hugentobler
Affected QGIS version:master Regression?: No

Operating System: RedHat Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 13448

Description

Hi

I have some performance issues with the new generation symbology. Using a polygon layer r1 with a categorized symbology r1. Up to a

scale to approx. 1:200 there are no issues and rendering is as fast as with the old symbology. But between approx. 1:200 - 1:1 it slows

down and eating 100 % CPU for half a minute sometimes even longer. This does happen on several (RedHat, Ubuntu) Linux systems with

different QT versions. On a Windows XP machine with OSGEO4W install there are no performance issue (but it fills the polygons black

sometimes when zoomed in).

r1: http://www.catais.org/qgis/mopublic.zip

regards

Stefan

History

#1 - 2011-01-04 12:32 PM - Marco Hugentobler

This might be a clipping problem.

I'm currently working on a more efficient line and polygon clip (which will bring QGIS mapserver to the same performance level as other WMS servers).

Hopefully it will fix this bug too.

cheers,

Marco

#2 - 2011-01-05 01:06 PM - Marco Hugentobler

Btw., the threading branch also uses polygon clipping which solves the issue with the example dataset.

#3 - 2011-01-10 05:13 AM - zicke -

When will this clipping be available in trunk? I checked it with the threading branch and it's really nice.

Stefan

#4 - 2011-04-19 01:43 PM - Marco Hugentobler

- Status changed from Open to Closed
- Resolution set to fixed

Fixed with the modified polygon clipping already some time ago.

#5 - 2012-04-05 04:26 AM - cremat0rio -

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

I have the same problem.

I'm using QGis 1.7.3 (the same happens on 1.7.1).

With a polygon layer, and the new symbology with levels.

QGis gets very slow and only uses one thread (it seems so), wich is strange nowadays with multicore processors.

#6 - 2012-04-05 04:33 AM - Giovanni Manghi

- Pull Request or Patch supplied set to No

QGis gets very slow and only uses one thread (it seems so), wich is strange nowadays with multicore processors.

feel free to evaluate supporting the further development of multi-threading in QGIS.
